# metricsbot

Ruby gem for  MetricsBot domain information API. [Metricsbot.com](https://www.metricsbot.com/).
Visit Metricsbot.com to get your access_token. And refer to the API Docs [here](https://www.metricsbot.com/page/access-the-metricsbot-api/).


## Installation

```
gem install metricsbot
```


## Usage

```ruby
Metricsbot.api_access_token = "your_access_token_here"
Metricsbot.domain('example.com')
Metricsbot.ranking('example.com')
Metricsbot.whois('example.com')
```

You will receive the following `Hash` as a response (for successful lookups):

```ruby
{
  "statusCode"    : "OK",
  "statusMessage" : "",
  "ipAddress"     : "153.19.48.1",
  "countryCode"   : "PL",
  "countryName"   : "POLAND"
}
```


## Running tests

```
METRICSBOT_ACCESS_TOKEN=<access_token> rake test
```

Copyright © 2015 Metricsbot.com
