# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require 'metricsbot/version'

Gem::Specification.new do |gem|
  gem.name        = "metricsbot"
  gem.version     = Metricsbot::VERSION
  gem.platform    = Gem::Platform::RUBY
  gem.authors     = "Metricsbot"
  gem.email       = "info@metricsbot.com"
  gem.homepage    = "https://www.metricsbot.com"
  gem.summary     = %q{Free Domain Metrics, Whois Information and Domain Ranking API}
  gem.description = %q{Using the MetricsBot API, you can fetch free Domain Metrics, Whois Information and Domain Ranking API}
  gem.license     = 'GNU GENERAL PUBLIC LICENSE'

  gem.rubyforge_project = "metricsbot"

  gem.files         = `git ls-files`.split("\n")
  gem.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  gem.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  gem.require_paths = ["lib"]

  gem.add_dependency('httparty', '~> 0.6')

  gem.add_development_dependency('rake')
end
